Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 471488 - [TRACKER] Packages using deprecated imports of PIL modules
Summary: [TRACKER] Packages using deprecated imports of PIL modules
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: Tracker
Depends on: 471492 471496 471498 471500 471502 471504 471506 471508 471510 471514 471516 471518 471520 471522 471524 471528 471530 471532 471534 471536 471538 471540 471542 471544 471546 471548 471550 471552 471556 471564 471566 472772 472774 472776 472778 477448 484282 551374
Blocks: 401009 CVE-2014-1933
  Show dependency tree
 
Reported: 2013-05-27 22:02 UTC by Arfrever Frehtes Taifersar Arahesis
Modified: 2015-11-11 10:07 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
find_pil_deprecated_imports (find_pil_deprecated_imports,1.96 KB, text/x-python)
2013-05-27 22:11 UTC, Arfrever Frehtes Taifersar Arahesis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arfrever Frehtes Taifersar Arahesis 2013-05-27 22:02:13 UTC
Tracker bug for packages using deprecated imports of PIL modules.


Deprecated form:       import ${module}
  Example:             import Image


Non-deprecated forms:  import PIL.${module}
                       from PIL import ${module}
  Examples:            import PIL.Image      # Required updates of references
                       import PIL.Image as Image
                       from PIL import Image
Comment 1 Arfrever Frehtes Taifersar Arahesis 2013-05-27 22:11:29 UTC
Created attachment 349408 [details]
find_pil_deprecated_imports

Detector of deprecated imports

Example usage:
  find_pil_deprecated_imports $(qlist ${category}/${package})
  find_pil_deprecated_imports /usr/lib64/python2.7/site-packages
Comment 2 Mike Gilbert gentoo-dev 2013-06-01 19:26:25 UTC
Please feel free to convert dependencies to the new virtual/python-imaging virtual once PIL imports are updated.
Comment 3 Justin Lecher gentoo-dev 2015-11-11 10:07:40 UTC
commit 581ffe810c1c7f40300a1cb969ac824d8de48cfb
Author: Justin Lecher <jlec@gentoo.org>
Date:   Wed Nov 11 11:00:57 2015 +0100
    
    Drop dev-python/imaging
    
    Package superceeded by dev-python/pillow and vulnerable
    for CVE-2014-{1932,1933}
    
    Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=507982
    Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=508266
    
    obsoletes:
    Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=452468
    Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=479750
    Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=536408
    
    Signed-off-by: Justin Lecher <jlec@gentoo.org>
    
    https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=581ffe810c1c7f40300a1cb969ac824d8de48cfb